summaryrefslogtreecommitdiffstats
path: root/system/fwupd
diff options
context:
space:
mode:
author Andrew Clemons2017-08-10 00:34:06 +0200
committer Willy Sudiarto Raharjo2017-08-12 01:57:53 +0200
commit862c01d447785f492fa48aa04975ef3a06579356 (patch)
tree1613f8eaebf136877a92dc604a7eda2e2d4c275d /system/fwupd
parentd99f90700c65fdee52d54c0ea97e70ff0e00c47d (diff)
downloadslackbuilds-862c01d447785f492fa48aa04975ef3a06579356.tar.gz
system/fwupd: Added (update firmware).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system/fwupd')
-rw-r--r--system/fwupd/README10
-rw-r--r--system/fwupd/doinst.sh18
-rw-r--r--system/fwupd/fwupd.SlackBuild129
-rw-r--r--system/fwupd/fwupd.info10
-rw-r--r--system/fwupd/slack-desc19
5 files changed, 186 insertions, 0 deletions
diff --git a/system/fwupd/README b/system/fwupd/README
new file mode 100644
index 0000000000..90a2344a82
--- /dev/null
+++ b/system/fwupd/README
@@ -0,0 +1,10 @@
+fwupd - A simple daemon to allow session software to update firmware
+
+This project aims to make updating firmware on Linux automatic, safe and
+reliable.
+
+Options:
+ ENABLE_COLORHUG: true|false - requires colord
+ ENABLE_DELL: true|false - requires fwupdate (and transitively libsmbios)
+ ENABLE_UEFI: true|false - requires fwupdate
+ ENABLE_UEFI_LABELS: true|false - requires pygobject3-python3 python3-pillow py3cairo
diff --git a/system/fwupd/doinst.sh b/system/fwupd/doinst.sh
new file mode 100644
index 0000000000..7fb85f61a3
--- /dev/null
+++ b/system/fwupd/doinst.sh
@@ -0,0 +1,18 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ rm $NEW
+ fi
+}
+
+config etc/fwupd.conf.new
+config etc/fwupd/remotes.d/fwupd.conf.new
+config etc/fwupd/remotes.d/lvfs-testing.conf.new
+config etc/fwupd/remotes.d/lvfs.conf.new
+config etc/fwupd/remotes.d/vendor.conf.new
+config etc/pki/fwupd-metadata/GPG-KEY-Linux-Vendor-Firmware-Service.new
+config etc/pki/fwupd/GPG-KEY-Hughski-Limited.new
+config etc/pki/fwupd/GPG-KEY-Linux-Vendor-Firmware-Service.new
diff --git a/system/fwupd/fwupd.SlackBuild b/system/fwupd/fwupd.SlackBuild
new file mode 100644
index 0000000000..9b00badb20
--- /dev/null
+++ b/system/fwupd/fwupd.SlackBuild
@@ -0,0 +1,129 @@
+#!/bin/sh
+
+# Slackware build script for fwupd
+
+# Copyright 2017 Andrew Clemons, Wellington New Zealand
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=fwupd
+VERSION=${VERSION:-0.9.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+ENABLE_COLORHUG=${ENABLE_COLORHUG:-false}
+ENABLE_DELL=${ENABLE_DELL:-false}
+ENABLE_UEFI=${ENABLE_UEFI:-false}
+ENABLE_UEFI_LABELS=${ENABLE_UEFI_LABELS:-false}
+
+# libelf is disable because meson seems unable to find it on slack
+# tbtfwu is not packaged on slackbuilds.org
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+meson --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libexecdir=/usr/libexec \
+ --buildtype=release \
+ --mandir=/usr/man \
+ -Denable-systemd=false \
+ -Denable-libelf=false \
+ -Denable-tbtfwu=false \
+ -Denable-colorhug=$ENABLE_COLORHUG \
+ -Denable-uefi=$ENABLE_UEFI \
+ -Denable-dell=$ENABLE_DELL \
+ -Denable-uefi-labels=$ENABLE_UEFI_LABELS \
+ build
+
+ninja -C build
+DESTDIR=$PKG ninja -C build install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mv $PKG/etc/fwupd.conf $PKG/etc/fwupd.conf.new
+mv $PKG/etc/fwupd/remotes.d/fwupd.conf $PKG/etc/fwupd/remotes.d/fwupd.conf.new
+mv $PKG/etc/fwupd/remotes.d/lvfs-testing.conf $PKG/etc/fwupd/remotes.d/lvfs-testing.conf.new
+mv $PKG/etc/fwupd/remotes.d/lvfs.conf $PKG/etc/fwupd/remotes.d/lvfs.conf.new
+mv $PKG/etc/fwupd/remotes.d/vendor.conf $PKG/etc/fwupd/remotes.d/vendor.conf.new
+
+mv $PKG/etc/pki/fwupd-metadata/GPG-KEY-Linux-Vendor-Firmware-Service $PKG/etc/pki/fwupd-metadata/GPG-KEY-Linux-Vendor-Firmware-Service.new
+mv $PKG/etc/pki/fwupd/GPG-KEY-Hughski-Limited $PKG/etc/pki/fwupd/GPG-KEY-Hughski-Limited.new
+mv $PKG/etc/pki/fwupd/GPG-KEY-Linux-Vendor-Firmware-Service $PKG/etc/pki/fwupd/GPG-KEY-Linux-Vendor-Firmware-Service.new
+
+rm -rf $PKG/usr/share/installed-tests
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING MAINTAINERS NEWS README.md RELEASE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/fwupd/fwupd.info b/system/fwupd/fwupd.info
new file mode 100644
index 0000000000..0bf5b5d0e8
--- /dev/null
+++ b/system/fwupd/fwupd.info
@@ -0,0 +1,10 @@
+PRGNAM="fwupd"
+VERSION="0.9.6"
+HOMEPAGE="http://www.fwupd.org"
+DOWNLOAD="https://github.com/hughsie/fwupd/archive/0.9.6/fwupd-0.9.6.tar.gz"
+MD5SUM="32423cd6bd2a3fbfbd23331a4bb7de07"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="appstream-glib libgusb"
+MAINTAINER="Andrew Clemons"
+EMAIL="andrew.clemons@gmail.com"
diff --git a/system/fwupd/slack-desc b/system/fwupd/slack-desc
new file mode 100644
index 0000000000..fb60dece5f
--- /dev/null
+++ b/system/fwupd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fwupd: fwupd (daemon to allow session software to update firmware)
+fwupd:
+fwupd: A simple daemon to allow session software to update firmware.
+fwupd:
+fwupd: This project aims to make updating firmware on Linux automatic, safe
+fwupd: and reliable. Additional information is available at the website:
+fwupd: http://www.fwupd.org
+fwupd:
+fwupd:
+fwupd:
+fwupd: